Subject: Re: bug#23888: 25.1.50; Info calc -- No such node or anchor: Top

From: Udyant Wig <[email-masked]>
Date: Mon, 4 Jul 2016 08:55:48 +0530

On 07/04/2016 01:19 AM, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> From: Udyant Wig <[email-masked]>
>> Date: Mon, 4 Jul 2016 00:54:56 +0530
>>
>>   Well, here are some of the variables that I think are relevant:
>>
>> Info-default-directory-list
>> => ("/usr/local/share/info/" "/usr/share/info/" "/usr/local/share/info/")
>>
>> Info-additional-directory-list
>> => ("/usr/local/share/info")
> 
> IOW, my guess was correct.  Next, please show the full contents of the
> DIR node that is displayed when you type "C-h i".
> 
> Thanks.

  Full contents from top level Info node:

File: dir,	Node: Top	This is the top of the INFO tree

  This (the Directory node) gives a menu of major topics.
  Typing "q" exits, "?" lists all Info commands, "d" returns here,
  "h" gives a primer for first-timers,
  "mEmacs<Return>" visits the Emacs manual, etc.

  In Emacs, you can click mouse button 2 on a menu item or cross reference
  to select it.

* Menu:

Emacs
* AUCTeX: (auctex).             A sophisticated TeX environment for Emacs.
* preview-latex: (preview-latex).
                                Preview LaTeX fragments in Emacs
* Magit: (magit).               Using Git from Emacs with Magit.
* Magit-Popup: (magit-popup).   Infix arguments with feedback.
* SLIME: (slime).               Superior Lisp Interaction Mode for Emacs.
* With-Editor: (with-editor).   Using the Emacsclient as $EDITOR.
* Emacs: (emacs).               The extensible self-documenting text editor.
* Emacs FAQ: (efaq).            Frequently Asked Questions about Emacs.
* Elisp: (elisp).               The Emacs Lisp Reference Manual.
* Emacs Lisp Intro: (eintr).    A simple introduction to Emacs Lisp 
                                  programming.
* Ada mode: (ada-mode).         Emacs mode for editing and compiling Ada code.
* CC Mode: (ccmode).            Emacs mode for editing C, C++, Objective-C, 
                                  Java, Pike, AWK, and CORBA IDL code.
* IDLWAVE: (idlwave).           Major mode and shell for IDL files.
* Octave mode: (octave-mode).   Emacs mode for editing GNU Octave files.
* Org Mode: (org).              Outline-based notes management and organizer
* VHDL Mode: (vhdl-mode).       Emacs mode for editing VHDL code.
* nXML Mode: (nxml-mode).       XML editing mode with RELAX NG support.
* ERC: (erc).                   Powerful and extensible IRC client for Emacs.
* EUDC: (eudc).                 Emacs client for directory servers (LDAP, 
                                  BBDB).
* Emacs GnuTLS: (emacs-gnutls). The Emacs GnuTLS integration.
* Gnus: (gnus).                 The newsreader Gnus.
* MH-E: (mh-e).                 Emacs interface to the MH mail system.
* Mairix: (mairix-el).          Emacs interface to the Mairix mail indexer.
* Message: (message).           Mail and news composition mode that goes with 
                                  Gnus.
* Newsticker: (newsticker).     A feed reader for Emacs.
* PGG: (pgg).                   Emacs interface to various PGP implementations.
* Rcirc: (rcirc).               Internet Relay Chat (IRC) client.
* SASL: (sasl).                 The Emacs SASL library.
* SC: (sc).                     Supercite lets you cite parts of messages 
                                  you’re replying to, in flexible ways.
* Sieve: (sieve).               Managing Sieve scripts in Emacs.
* TRAMP: (tramp).               Transparent Remote Access, Multiple Protocol 
                                  Emacs remote file access via ssh and scp.
* Autotype: (autotype).         Convenient features for text that you enter 
                                  frequently in Emacs.
* Bovine: (bovine).             Semantic bovine parser development.
* Calc: (calc).                 Advanced desk calculator and mathematical tool.
* Dired-X: (dired-x).           Dired Extra Features.
* EDE: (ede).                   The Emacs Development Environment.
* EDT: (edt).                   An Emacs emulation of the EDT editor.
* EIEIO: (eieio).               An objects system for Emacs Lisp.
* ERT: (ert).                   Emacs Lisp regression testing tool.
* EWW: (eww).                   Emacs Web Wowser
* EasyPG Assistant: (epa).      An Emacs user interface to GNU Privacy Guard.
* Ebrowse: (ebrowse).           A C++ class browser for Emacs.
* Ediff: (ediff).               A visual interface for comparing and merging 
                                  programs.
* Eshell: (eshell).             A command shell implemented in Emacs Lisp.
* Flymake: (flymake).           A universal on-the-fly syntax checker.
* Forms: (forms).               Emacs package for editing data bases by 
                                  filling in forms.
* Htmlfontify: (htmlfontify).   Convert source code to html.
* Ido: (ido).                   Interactively do things with buffers and files.
* PCL-CVS: (pcl-cvs).           Emacs front-end to CVS.
* RefTeX: (reftex).             Emacs support for LaTeX cross-references and 
                                  citations.
* Remember: (remember).         Simple information manager for Emacs.
* SES: (ses).                   Simple Emacs Spreadsheet.
* SRecode: (srecode).           Semantic template code generator.
* Semantic: (semantic).         Source code parser library and utilities.
* Speedbar: (speedbar).         File/Tag summarizing utility.
* Todo Mode: (todo-mode).       Make and maintain todo lists.
* VIP: (vip).                   An obsolete VI-emulation for Emacs.
* VIPER: (viper).               A VI-emulation mode for Emacs.
* Wisent: (wisent).             Semantic Wisent parser development.
* WoMan: (woman).               Browse UN*X Manual Pages "W.O. (without) Man".
* Auth-source: (auth).          The Emacs auth-source library.
* CL: (cl).                     Partial Common Lisp support for Emacs Lisp.
* D-Bus: (dbus).                Using D-Bus in Emacs.
* Emacs MIME: (emacs-mime).     Emacs MIME de/composition library.
* SMTP: (smtpmail).             Emacs library for sending mail via SMTP.
* URL: (url).                   URL loading package.
* Widget: (widget).             The "widget" package used by the Emacs 
                                  Customization facility.
* Emacs: (emacs-24/emacs).      The extensible self-documenting text editor.
* Emacs FAQ: (emacs-24/efaq).   Frequently Asked Questions about Emacs.
* mime-en (flim): (mime-en).    MIME library for Emacs.
* mime-ja (flim): (mime-ja).    MIME library for Emacs.
* Ada mode: (emacs-24/ada-mode).
                                Emacs mode for editing and compiling Ada code.
* CC Mode: (emacs-24/ccmode).   Emacs mode for editing C, C++, Objective-C, 
                                  Java, Pike, AWK, and CORBA IDL code.
* IDLWAVE: (emacs-24/idlwave).  Major mode and shell for IDL files.
* Octave mode: (emacs-24/octave-mode).
                                Emacs mode for editing GNU Octave files.
* Org Mode: (emacs-24/org).     Outline-based notes management and organizer
* nXML Mode: (emacs-24/nxml-mode).
                                XML editing mode with RELAX NG support.
* Elisp: (emacs-24/elisp).      The Emacs Lisp Reference Manual.
* Emacs Lisp Intro: (emacs-24/eintr).
                                A simple introduction to Emacs Lisp 
                                  programming.
* Auth-source: (emacs-24/auth). The Emacs auth-source library.
* CL: (emacs-24/cl).            Partial Common Lisp support for Emacs Lisp.
* D-Bus: (emacs-24/dbus).       Using D-Bus in Emacs.
* Emacs MIME: (emacs-24/emacs-mime).
                                Emacs MIME de/composition library.
* SMTP: (emacs-24/smtpmail).    Emacs library for sending mail via SMTP.
* URL: (emacs-24/url).          URL loading package.
* Widget: (emacs-24/widget).    The "widget" package used by the Emacs 
                                  Customization facility.
* Autotype: (emacs-24/autotype).
                                Convenient features for text that you enter 
                                  frequently in Emacs.
* Bovine: (emacs-24/bovine).    Semantic bovine parser development.
* Calc: (emacs-24/calc).        Advanced desk calculator and mathematical tool.
* Dired-X: (emacs-24/dired-x).  Dired Extra Features.
* EDE: (emacs-24/ede).          The Emacs Development Environment.
* EDT: (emacs-24/edt).          An Emacs emulation of the EDT editor.
* EIEIO: (emacs-24/eieio).      An objects system for Emacs Lisp.
* ERT: (emacs-24/ert).          Emacs Lisp regression testing tool.
* EWW: (emacs-24/eww).          Emacs Web Wowser
* EasyPG Assistant: (emacs-24/epa).
                                An Emacs user interface to GNU Privacy Guard.
* Ebrowse: (emacs-24/ebrowse).  A C++ class browser for Emacs.
* Ediff: (emacs-24/ediff).      A visual interface for comparing and merging 
                                  programs.
* Eshell: (emacs-24/eshell).    A command shell implemented in Emacs Lisp.
* Flymake: (emacs-24/flymake).  A universal on-the-fly syntax checker.
* Forms: (emacs-24/forms).      Emacs package for editing data bases by 
                                  filling in forms.
* Htmlfontify: (emacs-24/htmlfontify).
                                Convert source code to html.
* Ido: (emacs-24/ido).          Interactively do things with buffers and files.
* PCL-CVS: (emacs-24/pcl-cvs).  Emacs front-end to CVS.
* RefTeX: (emacs-24/reftex).    Emacs support for LaTeX cross-references and 
                                  citations.
* Remember: (emacs-24/remember).
                                Simple information manager for Emacs.
* SES: (emacs-24/ses).          Simple Emacs Spreadsheet.
* SRecode: (emacs-24/srecode).  Semantic template code generator.
* Semantic: (emacs-24/semantic).
                                Source code parser library and utilities.
* Speedbar: (emacs-24/speedbar).
                                File/Tag summarizing utility.
* Todo Mode: (emacs-24/todo-mode).
                                Make and maintain todo lists.
* VIP: (emacs-24/vip).          An older VI-emulation for Emacs.
* VIPER: (emacs-24/viper).      A VI-emulation mode for Emacs.
* Wisent: (emacs-24/wisent).    Semantic Wisent parser development.
* WoMan: (emacs-24/woman).      Browse UN*X Manual Pages "W.O. (without) Man".
* ERC: (emacs-24/erc).          Powerful and extensible IRC client for Emacs.
* EUDC: (emacs-24/eudc).        Emacs client for directory servers (LDAP, PH).
* Emacs GnuTLS: (emacs-24/emacs-gnutls).
                                The Emacs GnuTLS integration.
* Gnus: (emacs-24/gnus).        The newsreader Gnus.
* MH-E: (emacs-24/mh-e).        Emacs interface to the MH mail system.
* Mairix: (emacs-24/mairix-el). Emacs interface to the Mairix mail indexer.
* Message: (emacs-24/message).  Mail and news composition mode that goes with 
                                  Gnus.
* Newsticker: (emacs-24/newsticker).
                                A Newsticker for Emacs.
* PGG: (emacs-24/pgg).          Emacs interface to various PGP implementations.
* Rcirc: (emacs-24/rcirc).      Internet Relay Chat (IRC) client.
* SASL: (emacs-24/sasl).        The Emacs SASL library.
* SC: (emacs-24/sc).            Supercite lets you cite parts of messages 
                                  you’re replying to, in flexible ways.
* Sieve: (emacs-24/sieve).      Managing Sieve scripts in Emacs.
* TRAMP: (emacs-24/tramp).      Transparent Remote Access, Multiple Protocol 
                                  Emacs remote file access via ssh and scp.
* Emacs-w3m: (emacs-w3m).       An Emacs interface to w3m
* Emacs-w3m-ja: (emacs-w3m-ja). An Emacs interface to w3m (Japanese)

TeX
* AUCTeX: (auctex).             A sophisticated TeX environment for Emacs.
* preview-latex: (preview-latex).
                                Preview LaTeX fragments in Emacs

Texinfo documentation system
* Info: (info).                 How to use the documentation browsing system.
* Info: (emacs-24/info).        How to use the documentation browsing system.

Basics
* Common options: (coreutils)Common options.
* Coreutils: (coreutils).       Core GNU (file, text, shell) utilities.
* Date input formats: (coreutils)Date input formats.
* File permissions: (coreutils)File permissions.
                                Access modes.
* Finding files: (find).        Operating on files matching certain criteria.

Libraries
* autosprintf: (autosprintf).   Support for printf format strings in C++.
* RLuserman: (rluserman).       The GNU readline library User's Manual.
* libtasn1: (libtasn1).         Library for Abstract Syntax Notation One 
                                  (ASN.1).

Compression
* Gzip: (gzip).                 General (de)compression of files (lzw).

Editors
* nano: (nano).                 Small and friendly text editor.

Encryption
* Nettle: (nettle).             A low-level cryptographic library.

GNU Gettext Utilities
* autopoint: (gettext)autopoint Invocation.
                                Copy gettext infrastructure.
* envsubst: (gettext)envsubst Invocation.
                                Expand environment variables.
* gettextize: (gettext)gettextize Invocation.
                                Prepare a package for gettext.
* gettext: (gettext).           GNU gettext utilities.
* ISO3166: (gettext)Country Codes.
                                ISO 3166 country codes.
* ISO639: (gettext)Language Codes.
                                ISO 639 language codes.
* msgattrib: (gettext)msgattrib Invocation.
                                Select part of a PO file.
* msgcat: (gettext)msgcat Invocation.
                                Combine several PO files.
* msgcmp: (gettext)msgcmp Invocation.
                                Compare a PO file and template.
* msgcomm: (gettext)msgcomm Invocation.
                                Match two PO files.
* msgconv: (gettext)msgconv Invocation.
                                Convert PO file to encoding.
* msgen: (gettext)msgen Invocation.
                                Create an English PO file.
* msgexec: (gettext)msgexec Invocation.
                                Process a PO file.
* msgfilter: (gettext)msgfilter Invocation.
                                Pipe a PO file through a filter.
* msgfmt: (gettext)msgfmt Invocation.
                                Make MO files out of PO files.
* msggrep: (gettext)msggrep Invocation.
                                Select part of a PO file.
* msginit: (gettext)msginit Invocation.
                                Create a fresh PO file.
* msgmerge: (gettext)msgmerge Invocation.
                                Update a PO file from template.
* msgunfmt: (gettext)msgunfmt Invocation.
                                Uncompile MO file into PO file.
* msguniq: (gettext)msguniq Invocation.
                                Unify duplicates for PO file.
* ngettext: (gettext)ngettext Invocation.
                                Translate a message with plural.
* xgettext: (gettext)xgettext Invocation.
                                Extract strings into a PO file.

GNU Utilities
* gpg: (gnupg1).                OpenPGP encryption and signing tool (v1).
* gpg-agent: (gnupg).           The secret key daemon.
* gpg2: (gnupg).                OpenPGP encryption and signing tool.
* gpgsm: (gnupg).               S/MIME encryption and signing tool.

Individual utilities
* aclocal-invocation: (automake-1.14)aclocal Invocation.
                                                Generating aclocal.m4.
* arch: (coreutils)arch invocation.             Print machine hardware name.
* automake-invocation: (automake-1.14)automake Invocation.
                                                Generating Makefile.in.
* base64: (coreutils)base64 invocation.         Base64 encode/decode data.
* basename: (coreutils)basename invocation.     Strip directory and suffix.
* cat: (coreutils)cat invocation.               Concatenate and write files.
* chcon: (coreutils)chcon invocation.           Change SELinux CTX of files.
* chgrp: (coreutils)chgrp invocation.           Change file groups.
* chmod: (coreutils)chmod invocation.           Change access permissions.
* chown: (coreutils)chown invocation.           Change file owners and groups.
* chroot: (coreutils)chroot invocation.         Specify the root directory.
* cksum: (coreutils)cksum invocation.           Print POSIX CRC checksum.
* cmp: (diffutils)Invoking cmp.                 Compare 2 files byte by byte.
* comm: (coreutils)comm invocation.             Compare sorted files by line.
* coreutils: (coreutils)coreutils invocation.   Multi-call program.
* cp: (coreutils)cp invocation.                 Copy files.
* csplit: (coreutils)csplit invocation.         Split by context.
* cut: (coreutils)cut invocation.               Print selected parts of lines.
* date: (coreutils)date invocation.             Print/set system date and time.
* dd: (coreutils)dd invocation.                 Copy and convert a file.
* df: (coreutils)df invocation.                 Report file system disk usage.
* diff: (diffutils)Invoking diff.               Compare 2 files line by line.
* diff3: (diffutils)Invoking diff3.             Compare 3 files line by line.
* dircolors: (coreutils)dircolors invocation.   Color setup for ls.
* dirname: (coreutils)dirname invocation.       Strip last file name component.
* dir: (coreutils)dir invocation.               List directories briefly.
* du: (coreutils)du invocation.                 Report on disk usage.
* echo: (coreutils)echo invocation.             Print a line of text.
* env: (coreutils)env invocation.               Modify the environment.
* expand: (coreutils)expand invocation.         Convert tabs to spaces.
* expr: (coreutils)expr invocation.             Evaluate expressions.
* factor: (coreutils)factor invocation.         Print prime factors
* false: (coreutils)false invocation.           Do nothing, unsuccessfully.
* find: (find)Invoking find.                    Finding and acting on files.
* fmt: (coreutils)fmt invocation.               Reformat paragraph text.
* fold: (coreutils)fold invocation.             Wrap long input lines.
* groups: (coreutils)groups invocation.         Print group names a user is in.
* gunzip: (gzip)Overview.                       Decompression.
* gzexe: (gzip)Overview.                        Compress executables.
* head: (coreutils)head invocation.             Output the first part of files.
* hostid: (coreutils)hostid invocation.         Print numeric host identifier.
* hostname: (coreutils)hostname invocation.     Print or set system name.
* id: (coreutils)id invocation.                 Print user identity.
* install: (coreutils)install invocation.       Copy files and set attributes.
* join: (coreutils)join invocation.             Join lines on a common field.
* kill: (coreutils)kill invocation.             Send a signal to processes.
* link: (coreutils)link invocation.             Make hard links between files.
* ln: (coreutils)ln invocation.                 Make links between files.
* locate: (find)Invoking locate.                Finding files in a database.
* logname: (coreutils)logname invocation.       Print current login name.
* ls: (coreutils)ls invocation.                 List directory contents.
* md5sum: (coreutils)md5sum invocation.         Print or check MD5 digests.
* mkdir: (coreutils)mkdir invocation.           Create directories.
* mkfifo: (coreutils)mkfifo invocation.         Create FIFOs (named pipes).
* mknod: (coreutils)mknod invocation.           Create special files.
* mktemp: (coreutils)mktemp invocation.         Create temporary files.
* mv: (coreutils)mv invocation.                 Rename files.
* nice: (coreutils)nice invocation.             Modify niceness.
* nl: (coreutils)nl invocation.                 Number lines and write files.
* nohup: (coreutils)nohup invocation.           Immunize to hangups.
* nproc: (coreutils)nproc invocation.           Print the number of processors.
* numfmt: (coreutils)numfmt invocation.         Reformat numbers.
* od: (coreutils)od invocation.                 Dump files in octal, etc.
* paste: (coreutils)paste invocation.           Merge lines of files.
* patch: (diffutils)Invoking patch.             Apply a patch to a file.
* pathchk: (coreutils)pathchk invocation.       Check file name portability.
* printenv: (coreutils)printenv invocation.     Print environment variables.
* printf: (coreutils)printf invocation.         Format and print data.
* pr: (coreutils)pr invocation.                 Paginate or columnate files.
* ptx: (coreutils)ptx invocation.               Produce permuted indexes.
* pwd: (coreutils)pwd invocation.               Print working directory.
* readlink: (coreutils)readlink invocation.     Print referent of a symlink.
* realpath: (coreutils)realpath invocation.     Print resolved file names.
* rmdir: (coreutils)rmdir invocation.           Remove empty directories.
* rm: (coreutils)rm invocation.                 Remove files.
* runcon: (coreutils)runcon invocation.         Run in specified SELinux CTX.
* sdiff: (diffutils)Invoking sdiff.             Merge 2 files side-by-side.
* seq: (coreutils)seq invocation.               Print numeric sequences
* sha1sum: (coreutils)sha1sum invocation.       Print or check SHA-1 digests.
* sha2: (coreutils)sha2 utilities.              Print or check SHA-2 digests.
* shred: (coreutils)shred invocation.           Remove files more securely.
* shuf: (coreutils)shuf invocation.             Shuffling text files.
* sleep: (coreutils)sleep invocation.           Delay for a specified time.
* sort: (coreutils)sort invocation.             Sort text files.
* split: (coreutils)split invocation.           Split into pieces.
* stat: (coreutils)stat invocation.             Report file(system) status.
* stdbuf: (coreutils)stdbuf invocation.         Modify stdio buffering.
* stty: (coreutils)stty invocation.             Print/change terminal settings.
* sum: (coreutils)sum invocation.               Print traditional checksum.
* sync: (coreutils)sync invocation.             Synchronize memory and disk.
* tac: (coreutils)tac invocation.               Reverse files.
* tail: (coreutils)tail invocation.             Output the last part of files.
* tee: (coreutils)tee invocation.               Redirect to multiple files.
* test: (coreutils)test invocation.             File/string tests.
* time: (time).                                 Run programs and summarize 
                                                  system resource usage.
* timeout: (coreutils)timeout invocation.       Run with time limit.
* touch: (coreutils)touch invocation.           Change file timestamps.
* true: (coreutils)true invocation.             Do nothing, successfully.
* truncate: (coreutils)truncate invocation.     Shrink/extend size of a file.
* tr: (coreutils)tr invocation.                 Translate characters.
* tsort: (coreutils)tsort invocation.           Topological sort.
* tty: (coreutils)tty invocation.               Print terminal name.
* uname: (coreutils)uname invocation.           Print system information.
* unexpand: (coreutils)unexpand invocation.     Convert spaces to tabs.
* uniq: (coreutils)uniq invocation.             Uniquify files.
* unlink: (coreutils)unlink invocation.         Removal via unlink(2).
* updatedb: (find)Invoking updatedb.            Building the locate database.
* uptime: (coreutils)uptime invocation.         Print uptime and load.
* users: (coreutils)users invocation.           Print current user names.
* vdir: (coreutils)vdir invocation.             List directories verbosely.
* wc: (coreutils)wc invocation.                 Line, word, and byte counts.
* whoami: (coreutils)whoami invocation.         Print effective user ID.
* who: (coreutils)who invocation.               Print who is logged in.
* xargs: (find)Invoking xargs.                  Operating on many files.
* yes: (coreutils)yes invocation.               Print a string indefinitely.
* zcat: (gzip)Overview.                         Decompression to stdout.
* zdiff: (gzip)Overview.                        Compare compressed files.
* zforce: (gzip)Overview.                       Force .gz extension on files.
* zgrep: (gzip)Overview.                        Search compressed files.
* zmore: (gzip)Overview.                        Decompression output by pages.

Information
* Debian menu: (menu).          The Debian menu system

Kernel
* grub-dev: (grub-dev).         The GRand Unified Bootloader Dev
* grub-install: (grub)Invoking grub-install.
                                Install GRUB on your drive
* grub-mkconfig: (grub)Invoking grub-mkconfig.
                                Generate GRUB configuration
* grub-mkpasswd-pbkdf2: (grub)Invoking grub-mkpasswd-pbkdf2.
* grub-mkrelpath: (grub)Invoking grub-mkrelpath.
* grub-mkrescue: (grub)Invoking grub-mkrescue.
                                Make a GRUB rescue image
* grub-mount: (grub)Invoking grub-mount.
                                Mount a file system using GRUB
* grub-probe: (grub)Invoking grub-probe.
                                Probe device information
* grub-script-check: (grub)Invoking grub-script-check.
* GRUB: (grub).                 The GRand Unified Bootloader

Math
* bc: (bc).                     An arbitrary precision calculator language.
* dc: (dc).                     Arbitrary precision RPN "Desktop Calculator".

Network applications
* Wget: (wget).                 Non-interactive network downloader.

Network Applications
* Polipo: (polipo).             The Polipo caching web proxy.

Software development
* Automake: (automake-1.14).    Making GNU standards-compliant Makefiles.

Text creation and manipulation
* Diffutils: (diffutils).       Comparing and merging files.
* M4: (m4).                     A powerful macro processor.
* grep: (grep).                 Print lines matching a pattern.
* sed: (sed).                   Stream EDitor.  

-- 
Udyant Wig